Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -X -L POST "https://api.box.com/2.0/integration_mappings/teams" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d '{
"partner_item": {
"id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
"type": "channel",
"team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u",
"tenant_id": "E1234567"
},
"box_item": {
"id": "42037322",
"type": "folder"
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
"type": "channel",
"tenant_id": "E1234567",
"team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
},
"box_item": {
"type": "folder",
"id": "42037322"
},
"integration_type": "teams",
"is_overridden_by_manual_mapping": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}TeamsチャネルをBox項目にマッピングすることで、Teams統合マッピングを作成します。このエンドポイントを使用するには、管理者または共同管理者の役割が必要です。
curl -X -L POST "https://api.box.com/2.0/integration_mappings/teams" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d '{
"partner_item": {
"id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
"type": "channel",
"team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u",
"tenant_id": "E1234567"
},
"box_item": {
"id": "42037322",
"type": "folder"
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
"type": "channel",
"tenant_id": "E1234567",
"team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
},
"box_item": {
"type": "folder",
"id": "42037322"
},
"integration_type": "teams",
"is_overridden_by_manual_mapping": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}The access token received from the authorization server in the OAuth 2.0 flow.
作成された統合マッピングを返します。
統合マッピングオブジェクトのMicrosoft Teams固有のレプリゼンテーション。
フォルダマッピングの一意の識別子 (integration_typeとともに複合キーの一部)。
"12345"
マッピングタイプ。
integration_mapping "integration_mapping"
Teams用にマッピングされた項目オブジェクト。
Show child attributes
{
"id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
"type": "channel",
"tenant_id": "E1234567",
"team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
}パートナーアプリのドメインのオブジェクト (partner_item_idで参照) のマッピング先であるBoxフォルダ。
Show child attributes
マッピングが関連付けられているBoxパートナーアプリを示します。SlackとTeamsがサポートされています (idとともに複合キーの一部)。
teams "teams"
マッピングが (自動作成されたのではなく) チーム所有者によってチャネルのUIから手動で設定されているかどうかを示します。
true
統合マッピングオブジェクトが作成された日時。
"2012-12-12T10:53:43-08:00"
統合マッピングオブジェクトが最後に変更された日時。
"2012-12-12T10:53:43-08:00"
このページは役に立ちましたか?